Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## javax.jcr.nodetype
Interface NodeTypeManager

All Known Subinterfaces:
  OracleNodeTypeManager

      public interface NodeTypeManager

Allows for the retrieval of node types. Accessed via `Workspace.getNodeTypeManager()`.

Method Summary
`NodeTypeIterator` `getAllNodeTypes()` Returns an iterator over all available node types (primary and mixin).
`NodeTypeIterator` `getMixinNodeTypes()` Returns an iterator over all available mixin node types.
`NodeType` `getNodeType(java.lang.String nodeTypeName)` Returns the named node type.
`NodeTypeIterator` `getPrimaryNodeTypes()` Returns an iterator over all available primary node types.

Method Detail

### getNodeType

    NodeType getNodeType(java.lang.String nodeTypeName)
                         throws NoSuchNodeTypeException,
                                RepositoryException

  Returns the named node type.

  Throws a `NoSuchNodeTypeException` if a node type by that name does not exist.

  Throws a `RepositoryException` if another error occurs.

  Parameters:
    `nodeTypeName` - the name of an existing node type.
  Returns:
    A `NodeType` object.
  Throws:
    `NoSuchNodeTypeException` - if no node type by the given name exists.
    `RepositoryException` - if another error occurs.

### getAllNodeTypes

    NodeTypeIterator getAllNodeTypes()
                                     throws RepositoryException

  Returns an iterator over all available node types (primary and mixin).
  Returns:
    An `NodeTypeIterator`.
  Throws:
    `RepositoryException` - if an error occurs.

### getPrimaryNodeTypes

    NodeTypeIterator getPrimaryNodeTypes()
                                         throws RepositoryException

  Returns an iterator over all available primary node types.
  Returns:
    An `NodeTypeIterator`.
  Throws:
    `RepositoryException` - if an error occurs.

### getMixinNodeTypes

    NodeTypeIterator getMixinNodeTypes()
                                       throws RepositoryException

  Returns an iterator over all available mixin node types. If none are available, an empty iterator is returned.
  Returns:
    An `NodeTypeIterator`.
  Throws:
    `RepositoryException` - if an error occurs.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.